Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CXComboList Class Reference

`#include <XComboList.h>`

List of all members.

## Public Member Functions
| CXComboList (CWnd *pParent)
virtual | ~CXComboList ()
void | SetActive (int nScrollBarWidth)
int | AddString (LPCTSTR lpszItem)
int | GetCount ()
void | GetText (int nIndex, CString &rString)
int | FindStringExact (int nIndexStart, LPCTSTR lpszFind)
int | SetCurSel (int nSelect)
int | GetCurSel ()
void | SetFont (CFont *pFont, BOOL bRedraw=TRUE)
virtual BOOL | PreTranslateMessage (MSG *pMsg)
virtual CScrollBar * | GetScrollBarCtrl (int nBar)
## Protected Member Functions
void | SendRegisteredMessage (UINT nMsg, WPARAM wParam, LPARAM lParam)
afx_msg void | OnLButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnKillFocus (CWnd *pNewWnd)
afx_msg int | OnCreate (LPCREATESTRUCT lpCreateStruct)
afx_msg void | OnVScroll (UINT nSBCode, UINT nPos, CScrollBar *pScrollBar)
afx_msg void | OnDestroy ()
afx_msg void | OnTimer (UINT nIDEvent)
## Protected Attributes
CListBox | m_ListBox
CScrollBar | m_wndSBVert
CWnd * | m_pParent
int | m_nCount
BOOL | m_bFirstTime

## Constructor & Destructor Documentation

CXComboList::CXComboList | ( | CWnd * | pParent | ) |

CXComboList::~CXComboList | ( |  | ) | `[virtual]`

## Member Function Documentation

int CXComboList::AddString | ( | LPCTSTR | lpszItem | ) | `[inline]`

int CXComboList::FindStringExact | ( | int | nIndexStart,
|  | LPCTSTR | lpszFind
| ) | `[inline]`

int CXComboList::GetCount | ( |  | ) | `[inline]`

int CXComboList::GetCurSel | ( |  | ) | `[inline]`

CScrollBar * CXComboList::GetScrollBarCtrl | ( | int | nBar | ) | `[virtual]`

void CXComboList::GetText | ( | int | nIndex,
|  | CString & | rString
| ) | `[inline]`

int CXComboList::OnCreate | ( | LPCREATESTRUCT | lpCreateStruct | ) | `[protected]`

void CXComboList::OnDestroy | ( |  | ) | `[protected]`

void CXComboList::OnKillFocus | ( | CWnd * | pNewWnd | ) | `[protected]`

void CXComboList::OnLButtonDown | ( | UINT | nFlags,
|  | CPoint | point
| ) | `[protected]`

void CXComboList::OnTimer | ( | UINT | nIDEvent | ) | `[protected]`

void CXComboList::OnVScroll | ( | UINT | nSBCode,
|  | UINT | nPos,
|  | CScrollBar * | pScrollBar
| ) | `[protected]`

BOOL CXComboList::PreTranslateMessage | ( | MSG * | pMsg | ) | `[virtual]`

void CXComboList::SendRegisteredMessage | ( | UINT | nMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[protected]`

void CXComboList::SetActive | ( | int | nScrollBarWidth | ) |

int CXComboList::SetCurSel | ( | int | nSelect | ) | `[inline]`

void CXComboList::SetFont | ( | CFont * | pFont,
|  | BOOL | bRedraw = TRUE
| ) | `[inline]`

## Member Data Documentation

BOOL CXComboList::m_bFirstTime`[protected]`

CListBox CXComboList::m_ListBox`[protected]`

int CXComboList::m_nCount`[protected]`

CWnd* CXComboList::m_pParent`[protected]`

CScrollBar CXComboList::m_wndSBVert`[protected]`

The documentation for this class was generated from the following files:

- XComboList.h
- XComboList.cpp